<ion-app>
    <ion-split-pane>
        <ion-menu menuId="assurus24Menu" (ionWillOpen)="onMenuOpen()">
            <ion-header>
                <ion-toolbar class="user-profile">

                    <ion-item margin-bottom>

                        <!-- <ion-avatar slot="start" class="user-avatar">
                            <img src="assets/img/man-user.svg">
                        </ion-avatar> -->
                        <ion-label *ngIf="this.isConnected">
                            <ion-text color="secondary" *ngIf="this.typeClient=='userClientParticulier' ">
                                <h1 *ngIf="this.userPaConnected!=null"><strong>{{this.userPaConnected.prenom}} {{this.userPaConnected.nom}}</strong></h1>
                            </ion-text>
                            <ion-text color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
                                <h1 *ngIf="this.userProConnected!=null"><strong> {{this.userProConnected.nom}}</strong></h1>
                            </ion-text>
                            <!-- FOr user Pro -->
                            <ion-text color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
                                <h1 *ngIf="this.userProConnected!=null"><strong>Ninea: {{this.userProConnected.ninea}}</strong></h1>
                            </ion-text>
                            <!-- End user Pro -->

                            <!-- FOr user Reseau -->
                            <ion-text color="secondary" *ngIf="this.typeClient=='userReseau' ">
                                <h1 *ngIf="this.ClientReseau.client!=null"><strong>{{this.ClientReseau.client.prenom}} {{this.ClientReseau.client.nom}}</strong></h1>
                            </ion-text>
                            <ion-text color="secondary" *ngIf="this.typeClient=='userReseau' ">
                                <h1><strong>VENDEUR</strong></h1>
                            </ion-text>
                            <!-- End user Reseau -->

                            <ion-text color="secondary" *ngIf="this.typeClient=='userClientParticulier' ">
                                <h3 *ngIf="this.userPaConnected!=null">
                                    {{this.userPaConnected.adresse}}, {{this.userPaConnected.pays.nom}}
                                </h3>
                            </ion-text>
                            <ion-text color="secondary" *ngIf="this.typeClient=='userClientProfessionnel' ">
                                <h3 *ngIf="this.userProConnected!=null">
                                    {{this.userProConnected.adresse}}, {{this.userProConnected.pays.nom}}
                                </h3>
                            </ion-text>
                            <ion-menu-toggle class="mto" auto-hide="false">
                                <a class="text08" tappable (click)="goToEditProgile()">
                                    <ion-text color="secondary">
                                        <ion-icon name="contact"></ion-icon>
                                        <strong translate>edit_profil</strong>
                                    </ion-text>
                                </a>
                                <ion-text color="secondary"> | </ion-text>
                                <a class="text08" tappable (click)="logout()">
                                    <ion-text color="secondary">
                                        <ion-icon name="log-out"></ion-icon>
                                        <strong translate>se_deconnecter</strong>
                                    </ion-text>
                                </a>

                            </ion-menu-toggle>
                        </ion-label>
                        <!-- FOR VISITOR -->
                        <ion-label *ngIf="!this.isConnected">
                            <ion-text color="secondary">
                                <h1><strong>VISITEUR</strong></h1>
                            </ion-text>
                        </ion-label>
                        <!-- END VISITOR -->
                    </ion-item>
                </ion-toolbar>
            </ion-header>

            <ion-content class="bg-profile">
                <ion-list>

                    <!-- <ion-select [(ngModel)]="language" [value]="language" (ionChange)="changeLanguage()">
                        <ion-select-option value="en-US">

                            <span translate>

                                Language_Eng</span>
                        </ion-select-option>
                        <ion-select-option value="fr-FR">
                            <span translate>Language_Fr</span>
                        </ion-select-option>
                    </ion-select> -->
                    <div class="widget-text">
                        <a mat-button [matMenuTriggerFor]="langMenu" #langMenuTrigger="matMenuTrigger">
                            <img [src]="flag.image" width="18">
                            <span fxShow="false" fxShow.gt-sm class="flag-menu-title"> {{flag.name}}</span>
                            <ion-icon class="iconDropdown" name="arrow-dropdown-circle"></ion-icon>
                            <!-- <mat-icon class="mat-icon-sm caret cur-icon">arrow_drop_down</mat-icon> -->
                        </a>
                        <mat-menu #langMenu="matMenu" [overlapTrigger]="false" xPosition="before" class="app-dropdown">
                            <span>
                              <button mat-menu-item *ngFor="let flag of flags" (click)="changeLang(flag)">
                                  <img [src]="flag.image" width="18"> {{flag.name}}
                              </button>
                          </span>
                        </mat-menu>
                    </div>

                    <ion-list-header color="dark">
                        <ion-label>Menu</ion-label>
                    </ion-list-header>

                    <ion-menu-toggle auto-hide="false" *ngFor="let p of appPages">
                        <!-- FOR NOT CONNECTED USER (VISITOR) -->
                        <ion-item *ngIf="!this.isConnected && p.title=='FAQ' || !this.isConnected && p.title=='About' || !this.isConnected && p.title=='Accueil' " [routerLink]="[p.url]">
                            <ion-icon slot="start" [name]="p.icon" color="secondary"></ion-icon>
                            <ion-label color="secondary">
                                {{p.title}}
                            </ion-label>
                        </ion-item>
                        <!-- END NOT CONNECTED USER (VISITOR) -->

                        <!-- FOR COMMERCIAL -->
                        <ion-item *ngIf="this.isConnected && p.title=='FAQ' && this.typeClient=='userReseau' ||
                        this.isConnected && p.title=='About' && this.typeClient=='userReseau' ||
                        this.isConnected && p.title=='Mes Clients' && this.typeClient=='userReseau' ||
                        this.isConnected && p.title=='Mon compte credit' && this.typeClient=='userReseau' ||
                        this.isConnected && p.title=='Accueil commercial' && this.typeClient=='userReseau'" [routerLink]="[p.url]">
                            <ion-icon slot="start" [name]="p.icon" color="secondary"></ion-icon>
                            <ion-label color="secondary">
                                {{p.title}}
                            </ion-label>
                        </ion-item>
                        <!-- END COMMERCIAL -->

                        <!-- FOR USER PARTICULIER OR PROFESSIONAL -->
                        <ion-item *ngIf="this.isConnected && p.title!='Mes Clients' && this.typeClient=='userClientParticulier'
                        && this.isConnected && p.title!='Mon compte credit' && this.typeClient=='userClientParticulier'
                        && this.isConnected && p.title!='Accueil commercial' && this.typeClient=='userClientParticulier'
                        ||
                        this.isConnected && p.title!='Mes Clients' && this.typeClient=='userClientProfessionnel'
                        && this.isConnected && p.title!='Mon compte credit' && this.typeClient=='userClientProfessionnel'
                        && this.isConnected && p.title!='Accueil commercial' && this.typeClient=='userClientProfessionnel' " [routerLink]="[p.url]">
                            <ion-icon slot="start" [name]="p.icon" color="secondary"></ion-icon>
                            <ion-label color="secondary">
                                {{p.title}}
                            </ion-label>
                        </ion-item>
                        <!-- END USER PARTICULIER OR PROFESSIONAL -->
                    </ion-menu-toggle>
                </ion-list>
            </ion-content>
        </ion-menu>

        <ion-router-outlet main></ion-router-outlet>
    </ion-split-pane>
</ion-app>
